# Mezcla de poblaciones celulares y resistencia a la radiación
Se dispone de un archivo de texto (poblacion.csv) con valores en un arreglo de dimensión 101,101.
Los valores posibles del arreglo son los enteros del 0 al 3. Cada valor corresponderá con un estado de una célula presente en el sitio. 

Este arreglo podría estar relacionado con una simulación usando un modelo de Potts celular.

En el caso de interés los valores tienen la siguiente interpretación:

* 0: no hay célula
* 1: célula aireada
* 2: célula hipóxica
* 3: célula muerta

El objetivo de este ejercicio es simular el efecto de la radiación sobre este conjunto de células, usando un modelo de blanco simple.

### Modelo:
La probabilidad de daño a una determinada célula es $P(D)=1-e^{-D/Do}$, donde $Do=1$ Gy para las células tipo 1 y $Do=5$ Gy para las células tipo 2.

### Instrucciones
* Represente gráficamente los datos del archivo, de forma que se pueda visualizar en que zona se encuentra cada tipo de célula.
* Simule la aplicación de diferentes dosis a réplicas de su población de prueba en un rango de 1 a 25 Gy. Utilice el modelo proporcionado para decidir si cada célula sobrevive o muere. Tome en cuenta:
    * Suponga que la dosis es uniforme sobre todo el arreglo. Cada sitio recibe una dosis idéntica.
    * El estado final de cada célula luego de la irradiación con una dosis $D$ es el resultado de un ensayo de Bernoulli con probabilidades $P(D)$ (célula muere) y $1-P(D)$ (célula sobrevive).
* Calcule la fracción de supervivencia en cada caso, tabule y grafique $\ln(S)$ en función de $D$
* Indique qué propiedad de la curva resultante evidencia la resistencia diferencial de las sub poblaciones 1 y 2.
* Tabule y grafique la proporción de células sobrevivientes tipo 2 con respecto al total de células sobrevivientes tipo 1 y 2 en función de la dosis.
* Usted puede usar la hoja [Supervivencia.ipynb](Supervivencia.ipynb) para desarrollar la respuesta o cualquier otra herramienta a su alcance, siempre que el resultado sea razonablemente reproducible.

Este ejercicio está inspirado ligerísimamente en el caso de irradiación _in vivo_ estudiado en:  
POWERS, W., TOLMACH, L. A Multicomponent X-ray Survival Curve for Mouse Lymphosarcoma Cells irradiated in vivo. Nature 197, 710–711 (1963). https://doi.org/10.1038/197710b0
